Subject: Re: [MOBILE-IP] Combination of binding update and home address op tion inmobile IPv6

From: Thomas Eklund <[email-masked]>
Date: Sat, 18 Mar 2000 18:01:43 +0100

> -----Original Message-----
> From: Guilhem Tardy [mailto:[email-masked]]
> Sent: Wednesday, March 15, 2000 5:27 PM
> To: [email-masked]
> Subject: Re: [MOBILE-IP] Combination of binding update and
> home address
> option inmobile IPv6
>
>
> Thomas Eklund wrote:
>
> > > It's not possible to process the
> > > binding update option immediate because its processing
> depends on the
> > > data in the home address option.
> > No,
> > You have to verify possible AH headers in the binding
> update option, check
> > the option length and the seq. no after that you proccess
> the home address
> > options which is the home address of the mobile node
> sending the binding
> > update and there is no sub otions defines today...
> >
> > This is how it looks in the header because the home addrss
> option is send in
> > a destination option header and it is a separate extension
> header... And how
> > you process the order of extension header and espescially
> if you have a AH
> > included has been clearified in the latest mobile ipv6
> draft (mobileipv6
> > version 10)...
> >
>
> Although I agree mostly with your comments, I would like to add that a
> correspondent node or Home Agent processing a Binding Update Option
> needs to screen the whole Destination Option for a Home
> Address Option,
> which I find ugly.
> I didn't see any better explanation for the processing and
> order of the
> options in rev. 10 compared to previous revisions, and I would
> appreciate if you commented further. For instance, what if there's
> several Home Address Options in the same Destination Option? And is
This is NOT specified in the draft...

And I have commented this myself several times... This feature is a kind of
multi homing feature... In other words you have several homeaddresses (one
per interface)...

I would be very happy to see this multihoming extension for mobile IPv6...

Charles Any comment?

Do you think we could add a chapter about multihoming and how the home agent
process several homeaddresses in the home address option...

Regards
 Thomas Eklund

---

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Sun, 19 Mar 2000 13:07:38 +1100

Hi,

If a MN has more than one Home address, then when performing a Home
registration it has two options:
- Send one BU for each Home address (A relation of 1:1 between the BU and
the Home option)
- Send one BU with a prefix length other than Zero which will make the HA
act on behalf of that MN on each link it (ie HA) is attached to. This is
done by adding the interface identifier to the prefix of each one of these
links. This is explained in ch 9.5 in the latest rev of the draft. Some
issues might come up here of course because that assumption (the interface
identifier is the same on different links might not always be right).
However the MN has a choice as to what way it does its Home Registration.

As for registering with a CN , I believe it is always 1:1. ie. One BU per
Home address.

The Home option NEEDS to be placed before the IPSec header, since the Home
address is reqiored for the processing of the IPSec header.

Regards,
Hesham

> From: Guilhem Tardy [SMTP:[email-masked]]
> Sent: Thursday, 16 March 2000 3:27
> Subject:      Re: [MOBILE-IP] Combination of binding update and home
> address option inmobile IPv6
>
> Thomas Eklund wrote:
>
> > > binding update option immediate because its processing depends on the
> > You have to verify possible AH headers in the binding update option,
> check
> > the option length and the seq. no after that you proccess the home
> address
> > options which is the home address of the mobile node sending the binding
> > This is how it looks in the header because the home addrss option is
> send in
> > a destination option header and it is a separate extension header... And
> how
> > you process the order of extension header and espescially if you have a
> AH
> > included has been clearified in the latest mobile ipv6 draft (mobileipv6
> > version 10)...
> >
>
> needs to screen the whole Destination Option for a Home Address Option,
> which I find ugly.
> I didn't see any better explanation for the processing and order of the
> there any order assumed (e.g. Home Address Options located *before* a
> Binding Update Option), or should a correspondent node or Home Agent
> handle any of the possible situations (and therefore do the ugly thing)?
>
> These are basic implementation consideration, and as I believe IPv6
> requires the extension headers (e.g. Hop-by-Hop, Destination) to be
> processed in order, I assume the same requirement applies to the options
> within each of those extension headers, which is impossible here.
>
> Best regards,
> Guilhem Tardy.
>
> --
>                                     phone: (613) 993-8232
> Network Systems and Technologies    fax:   (613) 998-9648
> Communications Research Center      email: [email-masked]
> 3701 Carling Ave. #28/2B            web:   http://www.crc.ca/
> Ottawa (Ontario) K2H 8S2